<?php
get_header();
global $themeum_options;
?>

<section id="main" class="clearfix">
	<div id="page" class="container event-page">
		<div id="content" class="event-content box" role="main">
			<?php while(have_posts()): the_post(); ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(array('class' => 'performer-details' )); ?>>
				<div class="row">
					<div class="col-md-6">
						<div class="media media-performer">
							<div class="pull-left">
								<?php if ( has_post_thumbnail() ) { ?>
								<?php the_post_thumbnail('full', array('class' => 'img-responsive img-album')); ?>
								<?php } ?>
							</div>

							<div class="media-body">
								<div class="performer-info">
									<h3><?php the_title(); ?></a></h3>
									<p class="performer-position"><?php echo get_post_meta(get_the_ID(), 'themeum_performer_position',true ); ?></p>

									<?php if( get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ) ) { ?>
									<p class="short-desc"><?php echo get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ); ?></p>	
									<?php } ?>

	                                <div class="social-icons">
	                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_website', true) ) { ?>
	                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_website', true); ?>"><i class="fa fa-globe"></i></a>
	                                    <?php } ?>

	                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_youtube', true) ) { ?>
	                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_youtube', true); ?>"><i class="fa fa-youtube"></i></a>
	                                    <?php } ?>

	                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_twitter', true) ) { ?>
	                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_twitter', true); ?>"><i class="fa fa-twitter"></i></a>
	                                    <?php } ?>

	                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_facebook', true) ) { ?>
	                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_facebook', true); ?>"><i class="fa fa-facebook"></i></a>
	                                    <?php }  ?>

	                                    <?php if( get_post_meta(get_the_ID(), 'themeum_performer_gplus', true) ) { ?>
	                                    <a href="<?php echo get_post_meta(get_the_ID(), 'themeum_performer_gplus', true); ?>"><i class="fa fa-google-plus"></i></a>
	                                    <?php } ?>
	                                </div>

								</div>
							</div>
						</div>
					</div>

					<div class="col-md-6">
						<?php the_content(); ?>
						<?php if ($themeum_options['performer-social-en']) { ?>
						<div class="vocal-share">
							<?php get_template_part( 'lib/social-buttons' ); ?>
						</div>
						<?php } ?>
					</div>

					<div class="col-md-12">
						<?php
						if( $themeum_options['event-show'] ){ 

						$args = '';
						if( $themeum_options['performer-type'] == 'upcomming' ){
							//Upcomming
					    	$args = array(
										'post_type'     => 'event', 
										'meta_query'    => array(
														array(
															'key'     => 'themeum_event_performers',
															'value'   => $post->post_name,
															'compare' => '='
															)
													),
										'meta_key' 		=> 'themeum_event_start_datetime',
										'meta_value' 	=> date('Y-m-d h:i'),
										'meta_compare' 	=> '>',
										'orderby' 		=> 'meta_value',
										'order'   		=> 'ASC',
										);	
						}elseif( $themeum_options['performer-type'] == 'past_event' ){
					    	//Past Event
					    	$args = array(
										'post_type'     => 'event', 
										'meta_query'    => array(
														array(
															'key'     => 'themeum_event_performers',
															'value'   => $post->post_name,
															'compare' => '='
															)
													),
										'meta_key' 		=> 'themeum_event_start_datetime',
										'meta_value' 	=> date('Y-m-d h:i'),
										'meta_compare' 	=> '<',
										'orderby' 		=> 'meta_value',
										'order'   		=> 'DESC',
										);							
						}else{
							//All Event
					    	$args = array(
										'post_type'     => 'event', 
										'meta_query'    => array(
														array(
															'key'     => 'themeum_event_performers',
															'value'   => $post->post_name,
															'compare' => '='
															)
													)
											);
						}

						    $e_query = new WP_Query($args);

						    $paid_product = '';
						    echo '<h2 class="details-title">'.__('Event List','themeum').'</h2>';
						    echo '<ul id="events-list">';
						    while( $e_query->have_posts() ) :  $e_query->the_post();
						    	$datetime = get_post_meta(get_the_ID(),'themeum_event_start_datetime',true);
						    	$location = get_post_meta(get_the_ID(),'themeum_event_location',true); ?>
						    	<li>					    	
								    <time class="datetime">
								    	<span><?php echo date_i18n("M d", strtotime( $datetime )); ?></span>
								    	<span><?php echo date_i18n("Y", strtotime( $datetime )); ?></span>
								    </time>
								    <div class="events-data">
									    <div class="events-title"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></div>
									    <div class="events-location">
									    	<i class="fa fa-clock-o"></i> <?php echo date_i18n("h:i A", strtotime( $datetime )); ?>
									    	<i class="fa fa-map-marker"></i> <?php echo $location; ?>
									    </div>
							    	</div>
						    	</li>	
						    	<?php
						    endwhile;
						    echo '</ul>';
							wp_reset_query();
							}
						?>
					</div>

				</div>
			</div><!--/#post-->

		<?php endwhile; ?>
	</div>
</div>
</section>
<?php get_footer();

