<?php get_header(); ?>

<section id="main" class="container">
    <div class="row">
        <div id="content" class="col-md-12" role="main">

            <div class="site-content box">
                <?php if ( have_posts() ) { ?>
                <div class="event-performers">
                    <h2><?php echo __('Event Performers', 'themeum'); ?></h2>
                    <div class="owl-controls" style="top:5px;">
                        <a class="owl-control performerPrev"><span><i class="fa fa-angle-left"></i></span></a>
                        <a class="owl-control performerNext"><span><i class="fa fa-angle-right"></i></span></a>
                    </div>

                    <div id="carousel-performer" class="owl-carousel owl-theme">
                    <?php global $themeum_options; ?>

                    <?php while ( have_posts() ) { the_post();
                        $thumb_src = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
                    ?>
                    <div class="overlay-outer">
                        <img src="<?php echo $thumb_src; ?>" alt="<?php echo get_the_title(); ?>" class="img-performer img-responsive" />

                        <div class="overlay-info">
                            <div>
                                <h3><?php echo get_the_title() . ' <span>' . get_post_meta(get_the_ID(),'themeum_performer_position', true) ?></span></h3>
                            </div>
                        </div>

                        <div class="overlay">
                            <div class="overley-content performer-details">
                                <h3><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h3>
                                <p class="performer-position"><?php echo get_post_meta(get_the_ID(),'themeum_performer_position', true); ?></p>

                                <?php if( get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ) ) { ?>
                                <p><?php echo get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ); ?></p>    
                                <?php } ?>

                                <div class="social-icons">
                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_website', true) ) { ?>
                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_website', true); ?>"><i class="fa fa-globe"></i></a>
                                    <?php } ?>

                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_youtube', true) ) { ?>
                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_youtube', true); ?>"><i class="fa fa-youtube"></i></a>
                                    <?php } ?>

                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_twitter', true) ) { ?>
                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_twitter', true); ?>"><i class="fa fa-twitter"></i></a>
                                    <?php } ?>

                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_facebook', true) ) { ?>
                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_facebook', true); ?>"><i class="fa fa-facebook"></i></a>
                                    <?php }  ?>

                                    <?php if( get_post_meta(get_the_ID(), 'themeum_performer_gplus', true) ) { ?>
                                    <a href="<?php echo get_post_meta(get_the_ID(), 'themeum_performer_gplus', true); ?>"><i class="fa fa-google-plus"></i></a>
                                    <?php } ?>
                                </div>
                            </div>                               
                        </div>
                    </div>
                    <?php } ?>
                    </div>
                </div>
                <?php } else {
                    echo "No Performer Listed yet.";
                }
                ?>
            </div>
        </div> <!-- #content -->
    </div> <!-- .row -->
</section> <!-- .container -->

<?php get_footer();