<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Audio Player
add_shortcode( 'vocal_audio', function($atts, $content = null){

	extract(shortcode_atts(array(
		'title' 		=> '',
		'soundcloud'	=> '',
		'boxed'			=> '',
		'class'			=> ''
		), $atts));

	$output = '';

	$albums = get_posts( array( 
		'post_type' => 'album',
		'showposts' => 1
		) );

	global $post;


		if ($soundcloud) {

			$output .= '<div class="audio-player '. $boxed . ' ' . $class .'">';
			$output .= '<h2 class="heading">' . $title . '</h2>';
			$output .= '<a href="' . $soundcloud . '" class="sc-player"></a>';
			$output .= '</div>';

		} else {
				foreach ($albums as $key=>$post) {
					setup_postdata( $post );
					$ids = get_the_ID();
					$audios 			=  rwmb_meta('themeum_album_mp3', array('type'=>'file_advanced'),$ids);
					$audio_source = get_post_meta(get_the_ID(),'themeum_album_audio_source',true);

					$soundcloud_url = get_post_meta(get_the_ID(),'themeum_album_soundcloud_url',true);

					if( $audio_source =='soundcloud' ) {

						$output .= '<div class="audio-player '. $boxed . ' ' . $class .'">';
						$output .= '<h2 class="heading">' . $title . '</h2>';
						$output .= '<a href="' . $soundcloud_url . '" class="sc-player"></a>';
						$output .= '</div>';

					} else {

						if (count($audios)) {
							$output .= '<div class="audio-player '. $boxed . ' ' . $class .'">';
							$output .= '<h2 class="heading">' . $title . '</h2>';
							$ids = get_the_ID();
							$audios = rwmb_meta('themeum_album_mp3', array('type'=>'file_advanced'),$ids);
							if (count($audios)) {
								$ids = array();
								foreach ($audios as $audio) {
									$ids[] = $audio['ID'];
								}
								$ids = implode(',', $ids);
								$output .= do_shortcode( '[playlist ids="' . $ids . '"]' );
							}

							$output .= '</div>';
						}

					}
				}
		}

	

	wp_reset_postdata();

	return $output;

});


//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
	vc_map(array(
		"name" => __("Vocal Audio Player"),
		"base" => "vocal_audio",
		"icon" => "icon-thm-audio-player",
		"class" => "",
		"description" => "Latest albums audio player",
		"category" => __('Vocal'),
		"params" => array(

			array(
				"type" => "textfield",
				"heading" => __("Title", "vocal-event"),
				"param_name" => "title",
				"value" => "",
				"admin_label"=>true,
				),

			array(
				"type" => "textfield",
				"heading" => __("[Optional] Soundcloud playlist url", "vocal-event"),
				"param_name" => "soundcloud",
				"value" => "",
				"description" => "Please enter the soundcloud playlist url to display soundcloud player widget e.g. https://soundcloud.com/tokyopoliceclub. Leave this field blank if you want to show latest albums track."
				),

			array(
				"type" => 'checkbox',
				"heading" => __("Boxed layout?", "vocal-event"),
				"param_name" => "boxed",
				"description" => __("If selected, widget will display inside box.", "vocal-event"),
				"value" => Array(__("Yes", "vocal-event") => "box")
				),

			array(
				"type" => "textfield",
				"heading" => __("Extra CSS Class", "vocal-event"),
				"param_name" => "class",
				"value" => "",
				"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
				),

			)
));
}
