<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Upcoming Events
add_shortcode( 'vocal_events', function($atts, $content = null){

	extract(shortcode_atts(array(
		'title' => '',
		'boxed'	=> '',
		'count'	=> '8',
		'class'	=> '',
		'event_cat'=> 'themeumall'
		), $atts));

	global $post;


	if( ( $event_cat == '' ) || ( $event_cat == 'themeumall' ) ){
		$events = get_posts( array( 
					'post_type' => 'event',
					'showposts' => $count,
					'meta_key' => 'themeum_event_start_datetime',
					'meta_value' => date('Y-m-d h:i'),
					'meta_compare' => '>',
					'orderby' => 'meta_value',
					'order' => 'ASC'
				)
			);
	}else{
		$events = get_posts( array( 
					'post_type' => 'event',
					'showposts' => $count,
					'tax_query' => array(
											array(
												'taxonomy' => 'event_cat',
												'field'    => 'slug',
												'terms'    => $event_cat,
											),
										),
					'meta_key' => 'themeum_event_start_datetime',
					'meta_value' => date('Y-m-d h:i'),
					'meta_compare' => '>',
					'orderby' => 'meta_value',
					'order' => 'ASC'
				)
			);
	}


	

	$output  = '<div class="shortcode-upcoming-event '. $boxed . ' ' . $class .'">';
	$output .= '<h2 class="heading">' . $title . '</h2>';
	if( count($events) > 0 ){ 
		$output .= '<div id="tab-wrap" class="events">';
		$output .= '<div id="slider" class="flexslider">';
		$output .= '<ul class="slides">';

		foreach ($events as $key=>$post) {
			setup_postdata( $post );

			$class = ( $key === 0 ) ? 'flex-active-slide' : '';

			$event_start_datetime = get_post_meta(get_the_ID(),'themeum_event_start_datetime', true );

			$output .= '<li class="' . $class . '">';

			$output .= '<div class="item row">';

			$output .= '<div class="col-sm-4 col-md-3">';
			$output .= '<div class="entry-date">';
			$output .= '<span class="entry-date-day">' . date_i18n('d', strtotime($event_start_datetime)) . '</span>';
			$output .= '<span class="entry-date-month">' . date_i18n('M', strtotime($event_start_datetime)) . '</span>';
			$output .= '</div>';
			$output .= '</div>';

			$output .= '<div class="event-short-desc col-sm-8 col-md-9">';
			$output .= '<div class="event-content">';
			$output .= '<a href="' . get_permalink() . '"><h3>' . get_the_title() . '</h3></a>';

			$output .= '<ul>';

			$output .= '<li><span class="event-head">' . __('Location', 'vocal-event') . '</span><span class="event-details">' . get_post_meta(get_the_ID(),'themeum_event_location', true) . '</span></li>';
			$output .= '<li><span class="event-head">' . __('Date', 'vocal-event') . '</span><span class="event-details">' . date_i18n(get_option( 'date_format' ), strtotime($event_start_datetime)) . '</span></li>';
			$output .= '<li><span class="event-head">' . __('Time', 'vocal-event') . '</span><span class="event-details">' . date_i18n("H:i A", strtotime($event_start_datetime)) . '</span></li>';

			if( get_post_meta(get_the_ID(),'themeum_event_std_price', true ) ) {
				$output .= '<li><span class="event-head">' . __('Ticket Price', 'vocal-event') . '</span><span class="event-details">' . get_post_meta(get_the_ID(),'themeum_event_std_price', true ) . '</span></li>';
			}

			$output .= '</ul>';

			$output .= '</div>';
			$output .= '</div>';
			$output .= '</div>';

			$output .= '</li>';
		}

		wp_reset_postdata();

		$output .= '</ul>';
		$output .= '</div>';

		$output .= '<div id="carousel" class="flexslider item-date-wrapper">';
		$output .= '<div class="flex-viewport">';
		$output .= '<ul class="slides item-date">';

		for ($i=0; $i<count($events); $i++) {
			$output .= '<li><span>' . 0 . ($i+1) . '</span></li>';
		}

		$output .= '</ul>';
		$output .= '</div>';
		$output .= '<ul class="flex-direction-nav">';
		$output .= '<li><a class="flex-prev flex-disabled" href="#" tabindex="-1"></a></li>';
		$output .= '<li><a class="flex-next" href="#"></a></li>';
		$output .= '</ul>';
		$output .= '</div>';


		$output .= '</div>';
	}
	$output .= '</div>';

	return $output;

});



//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
vc_map(array(
	"name" => __("Vocal Events", "vocal-event"),
	"base" => "vocal_events",
	"icon" => "icon-thm-vocal-event",
	"class" => "",
	"description" => __("Upcoming events addons", "vocal-event"),
	"category" => __('Vocal'),
	"params" => array(

		array(
			"type" => "textfield",
			"heading" => __("Title", "vocal-event"),
			"param_name" => "title",
			"value" => "",
			"admin_label"=>true,
			),
		
		array(
				"type" => "dropdown",
				"heading" => __("Select The Performer Category:","themeum"),
				"param_name" => "event_cat",
				"value" => themeum_cat_list( 'event_cat' )
				),

		array(
			"type" => "textfield",
			"heading" => __("Maximum Number Of Event:", "vocal-event"),
			"param_name" => "count",
			"value" => "", 
			),

		array(
			"type" => 'checkbox',
			"heading" => __("Boxed layout?", "vocal-event"),
			"param_name" => "boxed",
			"description" => __("If selected, widget will display inside box.", "vocal-event"),
			"value" => Array(__("Yes", "vocal-event") => "box")
			),

		array(
			"type" => "textfield",
			"heading" => __("Extra CSS Class", "vocal-event"),
			"param_name" => "class",
			"value" => "",
			"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
			),

		)
	));
}