<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Upcoming Events
add_shortcode( 'vocal_single_photogallery', function($atts, $content = null) {

	extract(shortcode_atts(array(
		'title' => '',
		'limit' => 6,
		'boxed'	=> '',
		'class'	=> ''
		), $atts));

	global $post;

	$post_ids = array();

	$posts = get_posts(array('post_type'=>'gallery', 'posts_per_page'=>1));

	$output  = '<div class="photo-gallery '. $boxed . ' ' . $class .' clearfix">';
	if($title)
		$output .= '<h2 class="heading">' . $title . '</h2>';


	if ( count($posts) ) {
		$output .= '<ul class="gallery-shortcode">';

		foreach ($posts as $post) {
			setup_postdata( $post );
			$ids = get_the_ID();
			$photos = rwmb_meta( 'themeum_vocal_event_gallery', array( 'type'=>'image_advanced' ),$ids );

			$slices = (count($photos) > $limit) ? array_slice($photos, 0, $limit , true ) : $photos;

			foreach ($slices as $key=>$photo) {

				$photo_thumb = wp_get_attachment_image_src( $key, 'video-thumb-small' );

				$output 	.= '<li>';
				$output 	.= '<a href="' . $photo['full_url'] . '" data-lightbox="themeum-home-gallery"><img src="' . $photo_thumb[0] . '" class="img-responsive" alt="" /></a>';
				$output 	.= '</li>';
				
			}
		}

		wp_reset_postdata();

		$output .= '</ul>';
	}

	$output .= '</div>';

	return $output;

});

//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
	vc_map(array(
		"name" => __("Vocal Single Photo Gallery", "vocal-event"),
		"base" => "vocal_single_photogallery",
		'icon' => 'icon-thm-gallery',
		"class" => "",
		"description" => "Photo Gallery to display latest photos",
		"category" => __('Vocal'),
		"params" => array(

			array(
				"type" => "textfield",
				"heading" => __("Title"),
				"param_name" => "title",
				"value" => "",
				"admin_label"=>true,
				),

			array(
				"type" => "textfield",
				"heading" => __("Limit"),
				"param_name" => "limit",
				"value" => "",
				"description" => "Please enter the maximum number of audio files. eg. 12"
				),

			array(
				"type" => 'checkbox',
				"heading" => __("Boxed layout?", "vocal-event"),
				"param_name" => "boxed",
				"description" => __("If selected, widget will display inside box.", "vocal-event"),
				"value" => Array(__("Yes", "vocal-event") => "box")
				),

			array(
				"type" => "textfield",
				"heading" => __("Extra CSS Class", "vocal-event"),
				"param_name" => "class",
				"value" => "",
				"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
				),

			)
		));
}
