<?php
/**
 * Display Albums List 
 *
 * @author 		Themeum
 * @category 	Template
 * @package 	Vocal
 *-------------------------------------------------------------*/

if ( ! defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly

get_header();
add_filter('parse_query', function(&$q){
	global $themeum_options;
  	$q->set( 'posts_per_page', $themeum_options['album-post-per-page'] );


    return $q;
});
?>
<section id="main" class="clearfix">
	<div id="page" class="container albums">
		<div class="box">
			<h2 class="heading"><?php echo get_the_title(); ?></h2>
			<div class="row">
				<?php 
				$paged 		= (get_query_var('paged')) ? get_query_var('paged') : 1;
				$args 		= array( 'post_type' => 'album', 'paged' => $paged );
				$albums 	= new WP_Query( $args );

				if ( $albums->have_posts() ) {
					while($albums->have_posts()) {
						$albums->the_post();
						?>
						<div id="post-<?php the_ID(); ?>" class="col-xs-6 col-sm-6 col-md-3">
							<?php
							$artist_name 			= get_post_meta(get_the_ID(),'themeum_artist_name',true);
							$genre_name 			= get_post_meta(get_the_ID(),'themeum_genre_name',true);
							$production_name 	= get_post_meta(get_the_ID(),'themeum_production_name',true);
							$date 						= get_post_meta(get_the_ID(),'themeum_date',true);
							?>

							<div class="album overlay-outer">
								<?php if ( has_post_thumbnail() && ! post_password_required() ) { ?>
								<?php the_post_thumbnail('album-thumb', array('class' => 'img-responsive')); ?>
								<?php } //.entry-thumbnail ?>
								<div class="album-info overlay-info">
									<div>
										<h3><?php the_title(); ?></h3>
										<p><?php echo $artist_name;?></p>
									</div>
								</div>
								<div class="overlay">
									<div class="overley-content album-info">
										<h3><a href="<?php echo get_permalink($id);?>"><?php the_title();?></a></h3>
										<ul>
											<li><?php _e( 'Artist : ', 'vocal-event' ); echo $artist_name;?></li>
											<li><?php _e( 'Release Date : ', 'vocal-event' ); echo $date;?></li>
											<li><?php _e( 'Genre : ', 'vocal-event' ); echo $genre_name;?></li>
											<li><?php _e( 'Produced By : ', 'vocal-event' ); echo $production_name;?></li>
										</ul>
									</div>
								</div>
							</div>
						</div>
						<?php 
					}
				}
				?>
			</div>
			<?php wp_reset_query(); ?>
		</div>
		<?php themeum_pagination($albums->max_num_pages);; ?>
	</div>
</section>
<?php
get_footer();

