<?php
/**
 * Display Albums List 
 *
 * @author    Themeum
 * @category  Template
 * @package   Vocal
 *-------------------------------------------------------------*/

if ( ! defined( 'ABSPATH' ) )
  exit; // Exit if accessed directly

get_header();

add_filter('parse_query', function(&$q){
    global $themeum_options;
    $q->set( 'posts_per_page', $themeum_options['gallery-post-per-page'] );


    return $q;
});
?>
<section id="main" class="clearfix">
  <div id="page" class="container gallery">
    <div class="box">
      <h2 class="heading"><?php echo get_the_title(); ?></h2>
      <?php 
      $paged    = (get_query_var('paged')) ? get_query_var('paged') : 1;
      $args     = array( 'post_type' => 'gallery', 'paged' => $paged );
      $albums   = new WP_Query( $args );

      if ( $albums->have_posts() ) {
        ?>
        <div class="row vocal-gallery-items">
          <?php
          while($albums->have_posts()) {
            $albums->the_post();
            ?>
            <div id="post-<?php the_ID(); ?>" class="col-xs-6 col-sm-4">
              <?php
              $ids = get_the_ID();
              $photos = rwmb_meta( 'themeum_vocal_event_gallery', array( 'type'=>'image_advanced' ), $ids );
              $photos = array_slice($photos, 0, 1);
              ?><div class="vocal-gallery-item"><?php
              foreach ($photos as $key => $photo) {
                $image_id = (int)$photo['ID'];
                $img_src = wp_get_attachment_image_src($image_id,'gallery-thumb');
                ?>
                <div class="gallery-item-image">
                  <a href="<?php echo get_permalink($ids); ?>"><img src="<?php echo $img_src[0]; ?>" alt="<?php echo get_the_title($id); ?>" class="img-responsive" /></a>
                  <a class="gallery-item-title" href="<?php echo get_permalink($ids); ?>"><?php echo get_the_title($ids); ?></a>
                </div>
                <?php } ?>
              </div>
            </div>
            <?php 
          }
          ?>
        </div>
        <?php } wp_reset_query(); ?>
    </div>
    <?php themeum_pagination($albums->max_num_pages); ?>
  </div>
</section>
<?php
get_footer();