<?php
/**
 * Plugins Settings List
 *
 * @author 		Themeum
 * @category 	Admin Settings
 * @package 	Vocal
 *-------------------------------------------------------------*/

if ( ! defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly


//Widgets
require_once ( dirname( __FILE__ ) . '/widgets/audio-player.php' );
require_once ( dirname( __FILE__ ) . '/widgets/photo-gallery.php' );

/**
 * Events list Page Template
 *
 * @return string
 */

add_filter( 'page_template', 'themeum_events_page_template' );

function themeum_events_page_template( $page_template )
{
	if ( is_page( 'events' ) ) {
		$page_template = dirname( __FILE__ ) . '/templates/page-events.php';
	}

	return $page_template;
}

/**
 * Albums list Page Template
 *
 * @return string
 */

add_filter( 'page_template', 'themeum_albums_page_template' );

function themeum_albums_page_template( $page_template )
{
	if ( is_page( 'albums' ) ) {
		$page_template = dirname( __FILE__ ) . '/templates/page-album.php';
	}

	return $page_template;
}

/**
 * Gallery List Template
 *
 * @return string
 */
add_filter( 'page_template', 'themeum_vocal_gallery_page_template' );

function themeum_vocal_gallery_page_template( $page_template )
{
	if ( is_page( 'galleries' ) ) {
		$page_template = dirname( __FILE__ ) . '/templates/page-galleries.php';
	}

	return $page_template;
}

/**
 * Register Event Sidebar
 *
 * @return void
 */

add_action('widgets_init', function(){
	register_sidebar(array( 
		'name' 				=> __( 'Event Sidebar', 'vocal-event' ),
		'id' 				=> 'event',
		'description' 		=> __( 'Widgets in this area will be shown on Event Sidebar.', 'vocal-event' ),
		'before_title' 		=> '<h3  class="heading">',
		'after_title' 		=> '</h3>',
		'before_widget' 	=> '<div id="%1$s" class="widget widget-latest-events %2$s" >',
		'after_widget' 		=> '</div>'
		)
	);
});


add_action('admin_enqueue_scripts', function(){
	wp_enqueue_style('vocal-event', plugins_url( ) .'/vocal-event/assets/css/admin.css');
});
