<?php

add_action('widgets_init','register_themeum_photo_gallery_widget');

function register_themeum_photo_gallery_widget()
{
	register_widget('Themeum_Photo_Gallery_Widget');
}

class Themeum_Photo_Gallery_Widget extends WP_Widget{

	function __construct()
	{
		parent::__construct( 'Themeum_Photo_Gallery_Widget', 'Vocal Photo Gallery', array('description' => 'Photo gallery widget to display photos from latest gallery.'));
	}


	/*-------------------------------------------------------
	 *				Front-end display of widget
	 *-------------------------------------------------------*/

	function widget($args, $instance)
	{
		extract($args);

		$title 			= apply_filters('widget_title', $instance['title'] );
		$count 			= $instance['count'];
		
		echo $before_widget;

		$output = '';

		if ( $title ) echo $before_title . $title . $after_title;
		
		echo do_shortcode( '[vocal_photogallery limit="' . $count . '" /]' );

		echo $after_widget;
	}


	function update( $new_instance, $old_instance )
	{
		$instance = $old_instance;

		$instance['title'] 			= strip_tags( $new_instance['title'] );
		$instance['count'] 			= strip_tags( $new_instance['count'] );

		return $instance;
	}


	function form($instance)
	{
		$defaults = array( 
			'title' 	=> 'Vocal Photo Gallery',
			'count' 	=> 5
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Widget Title:','vocal-event'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php _e('Count','vocal-event'); ?></label>
			<input id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo $instance['count']; ?>" style="width:100%;" />
		</p>

	<?php
	}
}