<?php
// Include the meta box script
if((!class_exists('RWMB_Loader'))&&(!defined('RWMB_VER'))){
    require_once (get_template_directory().'/lib/meta-box/meta-box.php');
}
require_once (get_template_directory().'/lib/metabox.php');

//Main Navigation
require_once( get_template_directory()  . '/lib/menu/admin-megamenu-walker.php');
require_once( get_template_directory()  . '/lib/menu/meagmenu-walker.php');
require_once( get_template_directory()  . '/lib/menu/mobile-navwalker.php');

//Admin mega menu
if(!function_exists('nav_menu_walker_register')):
 
        function nav_menu_walker_register( $class, $menu_id )
        {
            return 'Themeum_Megamenu_Walker';
        }
        add_filter( 'wp_edit_nav_menu_walker', 'nav_menu_walker_register', 10, 2 );
endif;

add_theme_support('woocommerce');

//Visual Composer Adons
include_once (get_template_directory().'/lib/vc-addons/latest-blog.php' );
require_once (get_template_directory().'/lib/vc-addons/title.php');
require_once (get_template_directory().'/lib/vc-addons/vocal-title.php');
require_once (get_template_directory().'/lib/vc-addons/google-map.php');
require_once (get_template_directory().'/lib/vc-addons/call-to-action.php');
require_once (get_template_directory().'/lib/vc-addons/pricing-table.php');
require_once( get_template_directory()  . '/lib/vc-addons/twitter.php');


//Widgets
require_once( get_template_directory()  . '/lib/widgets/blog-posts.php');
require_once( get_template_directory()  . '/lib/widgets/video.php');
require_once( get_template_directory()  . '/lib/widgets/past-event.php');


/*-------------------------------------------*
 *				Theme Options
 *------------------------------------------*/
global $theme_options;

if ( !class_exists( 'ReduxFramework' ) ) {
	require_once( get_template_directory() . '/admin/framework.php' );
	require_once( get_template_directory()  . '/lib/import-functions.php');
}

if ( !isset( $redux_demo ) ) {
	require_once( get_template_directory(). '/theme-functions/admin-config.php' );
}


/*-------------------------------------------*
 *				Themeum setup
 *------------------------------------------*/

function vocal_theme_setup()
{
	//Textdomain
	load_theme_textdomain( 'themeum', get_template_directory() . '/languages' );

	//Image Sizes
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'blog-thumb', 690, 260, true );
	add_image_size( 'xs-thumb', 100, 65, true );
	add_image_size( 'home-thumb', 185, 125, true );
	add_image_size( 'album-thumb', 300, 340, true );
	add_image_size( 'gallery-thumb', 500, 400, true );
	add_image_size( 'video-thumb-small', 340, 270, true );
	add_image_size( 'video-thumb', 549, 367, true );

	//Others
	add_theme_support( 'post-formats', array( 'audio','video','gallery','image' ) );
	add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form' ) );
	add_theme_support( 'automatic-feed-links' );

	// register navigation
	register_nav_menu( 'primary','Primary Menu' );
	register_nav_menu( 'secondary','Secondary Menu' );

	add_editor_style('');

	if ( ! isset( $content_width ) )
		$content_width = 660;

}

add_action('after_setup_theme', 'vocal_theme_setup');



/*-------------------------------------------*
 *		Themeum Widget Registration
 *------------------------------------------*/


function vocal_widgets_init()
{
	register_sidebar(array(
		'name' 			=> __( 'Sidebar', 'themeum' ),
		'id' 			=> 'sidebar',
		'description' 	=> __( 'Widgets in this area will be shown on Sidebar.', 'themeum' ),
		'before_title' 	=> '<h3 class="widget_title">',
		'after_title' 	=> '</h3>',
		'before_widget' => '<div id="%1$s" class="widget %2$s" >',
		'after_widget' 	=> '</div>'
		)
	);

	register_sidebar(array( 
		'name' 			=> __( 'Bottom', 'themeum' ),
		'id' 			=> 'bottom',
		'description' 	=> __( 'Widgets in this area will be shown before Footer.' , 'themeum'),
		'before_title' 	=> '<h3 class="widget_title">',
		'after_title' 	=> '</h3>',
		'before_widget' => '<div class="col-sm-6 col-md-3 bottom-widget"><div id="%1$s" class="widget %2$s" >',
		'after_widget' 	=> '</div></div>'
		)
	);

	global $woocommerce;

	if($woocommerce) {
		register_sidebar(array(
			'name' 			=> __( 'Shop', 'themeum' ),
			'id' 			=> 'shop',
			'description' 	=> __( 'Widgets in this area will be shown on Shop Sidebar.', 'themeum' ),
			'before_title' 	=> '<h3 class="widget_title">',
			'after_title' 	=> '</h3>',
			'before_widget' => '<div id="%1$s" class="widget %2$s" >',
			'after_widget' 	=> '</div>'
			)
		);
	}
}

add_action('widgets_init', 'vocal_widgets_init');


/*-------------------------------------------*
 *		Themeum Style
 *------------------------------------------*/

function vocal_scripts_styles() {

	global $themeum_options;

	wp_enqueue_style('themeum-style', get_stylesheet_uri());
	wp_enqueue_style('vocal-wc', get_template_directory_uri().'/css/woocommerce.css');
	wp_enqueue_style('vocal-main', get_template_directory_uri().'/css/main.css');
	wp_enqueue_script('jquery');
	wp_enqueue_script('masonry');
	wp_enqueue_script('bootstrap', get_template_directory_uri().'/js/bootstrap.min.js',array(),false,true);
	wp_enqueue_script('owl-carousel', get_template_directory_uri().'/js/owl.carousel.min.js',array(),false,true);
	wp_enqueue_script('lightbox', get_template_directory_uri().'/js/lightbox.min.js',array(),false,true);
	wp_enqueue_script('flexslider', get_template_directory_uri().'/js/jquery.flexslider.js',array(),false,true);
	wp_enqueue_script('fitvids', get_template_directory_uri().'/js/jquery.fitvids.js',array(),false,true);
	wp_enqueue_script('countdown', get_template_directory_uri().'/js/jquery.countdown.min.js',array(),false,true);
	wp_enqueue_script('vocal-soundcould-api', get_template_directory_uri() .'/js/soundcloud.player.api.js',array(),false,true);
	wp_enqueue_script('vocal-soundcould-player', get_template_directory_uri() .'/js/sc-player.js',array(),false,true);
	wp_enqueue_script('prettyPhoto', get_template_directory_uri() .'/js/jquery.prettyPhoto.js',array(),false,true);

	wp_enqueue_style('YTPlayer', get_template_directory_uri().'/css/YTPlayer.css');
    wp_enqueue_script('mordernizr_touch', get_template_directory_uri().'/js/mordernizr.touch.js',array(),false,false);
    wp_enqueue_script('mb_YTPlayer', get_template_directory_uri().'/js/jquery.mb.YTPlayer.js',array(),false,false);

	if(isset($themeum_options['custom-preset-en'])) {
		wp_enqueue_style( 'themeum-preset', get_template_directory_uri(). '/css/presets/preset' . $themeum_options['preset'] . '.css', array(),false,'all' );		
	}
	wp_enqueue_style( 'quick-style', get_template_directory_uri(). '/css/quick-style.css.php', array(),false,'all' );

	// Google map api key.
	if( $themeum_options['map-api-key'] ){
          wp_enqueue_script( 'googlemap', 'https://maps.google.com/maps/api/js?key='.$themeum_options["map-api-key"], array(), '',false,true );
    }
    // api key end.

	//Comments JS
	if ( is_singular() && comments_open() ) {
		wp_enqueue_script( 'comment-reply' );
	}

	wp_enqueue_script('main', get_template_directory_uri().'/js/main.js',array(),false,true);

}

add_action('wp_enqueue_scripts', 'vocal_scripts_styles');



//WooCommerce Update Cart
add_filter('add_to_cart_fragments', function($fragments){
	global $woocommerce;
	ob_start();
	$has_products = '';
	if($woocommerce->cart->cart_contents_count>0) {
		$has_products = 'cart-has-products';
	}
	?>
	<span class="woo-cart-items">
		<span class="<?php echo $has_products; ?>"><?php echo $woocommerce->cart->cart_contents_count; ?></span>
	</span>
	<?php
	$fragments['.woo-cart-items'] = ob_get_clean();
	return $fragments;
});

/*Woocoomerce*/
global $woocommerce;

if($woocommerce) {
	/*Remove Woocommerce default style*/
	add_filter( 'woocommerce_enqueue_styles', function($enqueue_styles){
		unset( $enqueue_styles['woocommerce-general'] );
		return $enqueue_styles;
	});

	remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
}


//Visual Composer Admin
if (class_exists('WPBakeryVisualComposerAbstract')) {
	add_action('admin_enqueue_scripts', function(){
		wp_enqueue_style('vocal-vc', get_template_directory_uri() .'/lib/vc-addons/css/admin.css');
	});
}

/*-------------------------------------------*
 *			Post format admin script
 *------------------------------------------*/

if (!function_exists('vocal_admin_script'))
{
	function vocal_admin_script()
	{
		if(is_admin())
		{
			wp_enqueue_script('post-format', get_template_directory_uri() .'/js/admin/post-format.js');
		}

	}
	add_action('admin_enqueue_scripts','vocal_admin_script');
}


/*-------------------------------------------*
 *		 Get file extension name
 *------------------------------------------*/
if(!function_exists('themeum_get_ext')) {
	function themeum_get_ext($file)
	{
		$dot = strrpos($file, '.') + 1;

		return strtolower(substr($file, $dot));
	}
}

/*-------------------------------------------*
 *		 Add Read More Buttons
 *------------------------------------------*/
if(!function_exists('new_excerpt_more')):

	function new_excerpt_more( $more ) {
		return '<a class="more-link" href="'. get_permalink( get_the_ID() ) . '">'.__('Continue Reading','themeum').' <span class="meta-nav">&rarr;</span></a>';
	}
	add_filter( 'excerpt_more', 'new_excerpt_more' );

endif;

/*-------------------------------------------------------
*			Themeum Pagination
*-------------------------------------------------------*/

if(!function_exists('themeum_pagination')) {

	function themeum_pagination($pages = '', $range = 2){ 

		$showitems = ($range * 1)+1;  

		global $paged;

		if(empty($paged)) $paged = 1;

		if($pages == '')
		{
			global $wp_query;
			$pages = $wp_query->max_num_pages;

			if(!$pages)
			{
				$pages = 1;
			}
		}   

		if(1 != $pages)
		{
			echo "<div class='box vocal-pager'><ul class='pagination'>";

			if($paged > 2 && $paged > $range+1 && $showitems < $pages){
				echo "<li><a href='".get_pagenum_link(1)."'>&laquo;</a></li>";
			}

			if($paged > 1 && $showitems < $pages){ 
				echo '<li>';
				previous_posts_link("Previous");
				echo '</li>';
			}

			for ($i=1; $i <= $pages; $i++)
			{
				if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
				{
					echo ($paged == $i)? "<li class='active'><a href='#'>".$i."</a></li>":"<li><a href='".get_pagenum_link($i)."' >".$i."</a></li>";
				}
			}

			if ($paged < $pages && $showitems < $pages){
				echo '<li>';
				next_posts_link("Next");
				echo '</li>';
			}

			if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages){
				echo "<li><a href='".get_pagenum_link($pages)."'>&raquo;</a></li>";
			}

			echo "</ul></div>";
		}
	}
}






if(!function_exists('themeum_pagination_return')) {

	function themeum_pagination_return($pages = '', $range = 2){ 
	 
		$showitems = ($range * 1)+1;  

		global $paged;

		$output = '';

		if(empty($paged)) $paged = 1;

		if($pages == ''){
			global $wp_query;
			$pages = $wp_query->max_num_pages;

			if(!$pages){
				$pages = 1;
			}
		}   

		if(1 != $pages){
			$output .=  "<div class='box vocal-pager'><ul class='pagination'>";
			if($paged > 2 && $paged > $range+1 && $showitems < $pages){
				$output .=  "<li><a href='".get_pagenum_link(1)."'>&laquo;</a></li>";
			}

			if($paged > 1 && $showitems < $pages){ 
				$output .=  '<li>';
				previous_posts_link("Previous");
				$output .=  '</li>';
			}

			for ($i=1; $i <= $pages; $i++){
				if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )){
					$output .=  ($paged == $i)? "<li class='active'><a href='#'>".$i."</a></li>":"<li><a href='".get_pagenum_link($i)."' >".$i."</a></li>";
				}
			}
			if ($paged < $pages && $showitems < $pages){
				$output .=  '<li>';
				next_posts_link("Next");
				$output .=  '</li>';
			}
			if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages){
				$output .=  "<li><a href='".get_pagenum_link($pages)."'>&raquo;</a></li>";
			}
			$output .=  "</ul></div>";
		}
	return $output;
	}
}



/*-------------------------------------------------------
 *				Pupular Posts
 *-------------------------------------------------------*/

if(!function_exists('themeum_set_post_views')) {
	function themeum_set_post_views($postID) {
		$count_key = 'post_views_count';
		$count = get_post_meta($postID, $count_key, true);

		if($count==''){
			$count = 0;
			delete_post_meta($postID, $count_key);
			add_post_meta($postID, $count_key, '0');
		}else{
			$count++;
			update_post_meta($postID, $count_key, $count);
		}
	}
}



/*-------------------------------------------*
 *			Hex to RGBA converter
 *------------------------------------------*/

if(!function_exists('themeum_hex2rgba')) {
	function themeum_hex2rgba($color, $opacity = false) {

		$default = 'rgb(0,0,0)';

		if(empty($color))
			return $default; 

		if ($color[0] == '#' ) {
			$color = substr( $color, 1 );
		}

		if (strlen($color) == 6) {
			$hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
		} elseif ( strlen( $color ) == 3 ) {
			$hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
		} else {
			return $default;
		}

		$rgb =  array_map('hexdec', $hex);

		if($opacity){
			if(abs($opacity) > 1)
				$opacity = 1.0;
			$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
		} else {
			$output = 'rgb('.implode(",",$rgb).')';
		}

		return $output;
	}
}



/*-------------------------------------------------------
*			Include the TGM Plugin Activation class
*-------------------------------------------------------*/

require_once( get_template_directory()  . '/lib/class-tgm-plugin-activation.php');

add_action( 'tgmpa_register', 'themeum_plugins_include');

if(!function_exists('themeum_plugins_include')):

	function themeum_plugins_include()
{
	$plugins = array(

		array(
			'name'                  => 'Vocal Event', // The plugin name
			'slug'                  => 'vocal-event', // The plugin slug (typically the folder name)
			'source'                => get_stylesheet_directory() . '/lib/plugins/vocal-event.zip', // The plugin source
			'required'              => true, // If false, the plugin is only 'recommended' instead of required
			'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),


		array(
			'name'                  => 'Themeum Tweet', // The plugin name
			'slug'                  => 'themeum-tweet', // The plugin slug (typically the folder name)
			'source'                => get_stylesheet_directory() . '/lib/plugins/themeum-tweet.zip', // The plugin source
			'required'              => false, // If false, the plugin is only 'recommended' instead of required
			'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url'          => '', // If set, overrides default API URL and points to an external URL
			),
        array(
            'name'                  => 'WPBakery Visual Composer',
            'slug'                  => 'js_composer',
            'source'                => 'http://demo.themeum.com/wordpress/plugins/js_composer.zip',
            'required'              => false,
            'version'               => '',
            'force_activation'      => false,
            'force_deactivation'    => false,
            'external_url'          => '',
        ), 
        array(
            'name'                  => 'revslider',
            'slug'                  => 'revslider',
            'source'                => 'http://demo.themeum.com/wordpress/plugins/revslider.zip',
            'required'              => false,
            'version'               => '',
            'force_activation'      => false,
            'force_deactivation'    => false,
            'external_url'          => '',
        ),  
		array(
			'name'                  => 'Themeum Poll',
			'slug'                  => 'themeum-poll',
			'source'                => get_stylesheet_directory() . '/lib/plugins/themeum-poll.zip',
			'required'              => false,
			'version'               => '',
			'force_activation'      => false,
			'force_deactivation'    => false,
			'external_url'          => '',
			),		

		array(
			'name'                  => 'MailChimp for WordPress', // The plugin name
			'slug'                  => 'mailchimp-for-wp', // The plugin slug (typically the folder name)
			'required'              => false, // If false, the plugin is only 'recommended' instead of required
			'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url'          => 'https://downloads.wordpress.org/plugin/mailchimp-for-wp.3.1.7.zip', // If set, overrides default API URL and points to an external URL
			),


		array(
			'name'                  => 'Contact Form 7', // The plugin name
			'slug'                  => 'contact-form-7', // The plugin slug (typically the folder name)
			'required'              => false, // If false, the plugin is only 'recommended' instead of required
			'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url'          => 'https://downloads.wordpress.org/plugin/contact-form-7.4.4.2.zip', // If set, overrides default API URL and points to an external URL
			),


		array(
			'name'                  => 'Woocommerce', // The plugin name
			'slug'                  => 'woocommerce', // The plugin slug (typically the folder name)
			'required'              => false, // If false, the plugin is only 'recommended' instead of required
			'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url'          => 'https://downloads.wordpress.org/plugin/woocommerce.2.5.5.zip', // If set, overrides default API URL and points to an external URL
			),


		array(
			'name'                  => 'Widget Settings Importer/Exporter',
			'slug'                  => 'widget-settings-importexport',
			'required'              => false,
			'version'               => '',
			'force_activation'      => false,
			'force_deactivation'    => false,
			'external_url'          => 'https://downloads.wordpress.org/plugin/widget-settings-importexport.1.5.0.zip',
			),


		);

	/**
	* Array of configuration settings. Amend each line as needed.
	* If you want the default strings to be available under your own theme domain,
	* leave the strings uncommented.
	* Some of the strings are added into a sprintf, so see the comments at the
	* end of each line for what each argument will be.
	*/
	$config = array(
			'domain'            => 'themeum',           // Text domain - likely want to be the same as your theme.
			'default_path'      => '',                           // Default absolute path to pre-packaged plugins
			'parent_menu_slug'  => 'themes.php',         		 // Default parent menu slug
			'parent_url_slug'   => 'themes.php',         		 // Default parent URL slug
			'menu'              => 'install-required-plugins',   // Menu slug
			'has_notices'       => true,                         // Show admin notices or not
			'is_automatic'      => false,            			 // Automatically activate plugins after installation or not
			'message'           => '',               			 // Message to output right before the plugins table
			'strings'           => array(
				'page_title'                                => __( 'Install Required Plugins', 'themeum' ),
				'menu_title'                                => __( 'Install Plugins', 'themeum' ),
						'installing'                                => __( 'Installing Plugin: %s', 'themeum' ), // %1$s = plugin name
						'oops'                                      => __( 'Something went wrong with the plugin API.', 'themeum' ),
						'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
						'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
						'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
						'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
						'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
						'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
						'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
						'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
						'install_link'                              => _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
						'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
						'return'                                    => __( 'Return to Required Plugins Installer', 'themeum' ),
						'plugin_activated'                          => __( 'Plugin activated successfully.', 'themeum' ),
						'complete'                                  => __( 'All plugins installed and activated successfully. %s', 'themeum' ) // %1$s = dashboard link
						)
);

tgmpa( $plugins, $config );

}

endif;


/*-----------------------------------------------------
 *              Coming Soon Page Settings
 *----------------------------------------------------*/
if (isset($themeum_options['comingsoon-en']) && $themeum_options['comingsoon-en']) {
    if(!function_exists('themeum_my_page_template_redirect')):
        function themeum_my_page_template_redirect()
        {
            if( is_page( ) || is_home() || is_category() || is_single() )
            { 
                if( !is_super_admin( get_current_user_id() ) ){
                    get_template_part( 'coming','soon');
                    exit();
                } 
            }
        }
        add_action( 'template_redirect', 'themeum_my_page_template_redirect' );
    endif;

    if(!function_exists('themeum_cooming_soon_wp_title')):
        function themeum_cooming_soon_wp_title(){
            return 'Coming Soon';
        }
        add_filter( 'wp_title', 'themeum_cooming_soon_wp_title' );
    endif;
}


/*-------------------------------------------------------
 *				Themeum Comment
 *-------------------------------------------------------*/

if(!function_exists('themeum_comment')) {

	function themeum_comment($comment, $args, $depth)
	{
		$GLOBALS['comment'] = $comment;
		switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
		?>
		<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
			<p>Pingback: <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', 'themeum' ), '<span class="edit-link">', '</span>' ); ?></p>
			<?php
			break;
			default :

			global $post;
			?>
			<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
				<div id="comment-<?php comment_ID(); ?>" class="comment-body media">

					<div class="comment-avartar pull-left">
						<?php
						echo get_avatar( $comment, $args['avatar_size'] );
						?>
					</div>

					<div class="comment-context media-body">
						<div class="comment-head">

							<h4 class="media-heading">
								<?php printf( '<span class="comment-author">%1$s</span>', get_comment_author_link()); ?>
							</h4>
							<p class="comment-date"><?php echo get_comment_date('n/j/Y') ?></p>
						</div>

						<div class="comment-reply">
							<?php edit_comment_link( __( 'Edit', 'themeum' ), '<span class="edit-link">', '</span>' ); ?>
							<span class="comment-reply">
								<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( '<i class="fa fa-mail-reply"></i> Reply', 'themeum' ), 'after' => '', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
							</span>
						</div>

						<?php if ( '0' == $comment->comment_approved ) { ?>
						<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'themeum' ); ?></p>
						<?php } ?>

						<div class="comment-content">
							<?php comment_text(); ?>
						</div>

					</div>

				</div>
				<?php
				break;
				endswitch; 
			}
		}

// custom posts per page options for Custom Taxonomy
function customize_customtaxonomy_archive_display( $query ) {
	global $themeum_options;
    if ( !is_admin() && $query->is_main_query() ){
    	if ($query->is_tax('album_cat')) {
    		$query->set( 'posts_per_page', $themeum_options['album-post-per-page'] );
    	}else if ($query->is_tax('event_cat')) {
    		$query->set( 'posts_per_page', $themeum_options['event-post-per-page'] );
		}
    }
    return $query;
}