<?php
add_shortcode( 'vocal_map', function($atts, $content = null) {

	extract(shortcode_atts(array(
		'height' 	=> '220',
		'lat'		=> '52.365629',
		'lng'		=> '4.871331',
		'zoom'		=> 8,
		'address'	=> ''
		), $atts));

	$address = explode("\n",$address);
    function vocal_trim_array($returner,$value){
        $returner .= trim($value);
        return $returner;
    }


	$output  = '<div style="height: ' . $height . 'px;" id="vocal-map-layout"></div>';
	$output .= '<script type="text/javascript">';

	$output .= "function initialize_map() {
				var myLatlng = new google.maps.LatLng({$lat},{$lng});
				var mapOptions = {
					zoom: {$zoom},
					center: myLatlng
				};

				var map = new google.maps.Map(document.getElementById('vocal-map-layout'), mapOptions);

				var contentString = '';

				var infowindow = new google.maps.InfoWindow({
					content: '<div class=\"vocal-map-content\">" . array_reduce($address,"vocal_trim_array") . "</div>'
				});

				var marker = new google.maps.Marker({
					position: myLatlng,
					map: map,
					title: 'Uluru (Ayers Rock)'
				});
				google.maps.event.addListener(marker, 'click', function() {
					infowindow.open(map,marker);
				});
				}

				google.maps.event.addDomListener(window, 'load', initialize_map);
				</script>
				";

	return $output;

});


//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
vc_map(array(
	"name" => __("Vocal Google Map", "themeum"),
	"base" => "vocal_map",
	'icon' => 'icon-thm-map',
	"class" => "",
	"description" => "Google Map for Vocal theme",
	"category" => __('Vocal', "themeum"),
	"params" => array(

		array(
			"type" => "textfield",
			"heading" => __("Title", "themeum"),
			"param_name" => "title",
			"value" => "",
			"admin_label"=>true,
			),

		array(
			"type" => "textfield",
			"heading" => __("Map Height", "themeum"),
			"param_name" => "height",
			"value" => "",
			),

		array(
			"type" => "textfield",
			"heading" => __("Latitude", "themeum"),
			"param_name" => "lat",
			"value" => "",
			"description" => __("Please enter the latitude. eg. 52.365629", "themeum")
			),

		array(
			"type" => "textfield",
			"heading" => __("Longitude", "themeum"),
			"param_name" => "lng",
			"value" => "", 
			"description" => __("Please enter the longitude. eg. 4.871331", "themeum")
			),

		array(
			"type" => "dropdown",
			"heading" => __("Map Zoom", "themeum"),
			"param_name" => "zoom",
			"value" => array(__("14 - Default", "themeum") => 14, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 20)
			),

		array(
			"type" => "textarea_html",
			"heading" => __("Address", "themeum"),
			'holder' => 'div',
			"param_name" => "address"
			),

		)
	));
}