<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Word limit
if(!function_exists('vocal_latest_blogs_word_limit')) {
	function vocal_latest_blogs_word_limit($str, $limit = 100, $end_char = '&#8230;')
	{

		$str = strip_tags($str);

		$find = array("/\r|\n/u", "/\t/u", "/\s\s+/u");
		$replace = array(" ", " ", " ");
		$str = preg_replace($find, $replace, $str);

		preg_match('/\s*(?:\S*\s*){'.(int)$limit.'}/u', $str, $matches);
		if (strlen($matches[0]) == strlen($str))
			$end_char = '';
		return rtrim($matches[0]).$end_char;
	}

}

//Upcoming Events
add_shortcode( 'vocal_latest_blogs', function($atts, $content = null){

	extract(shortcode_atts(array(
		'title' => '',
		'limit' => '30',
		'boxed'	=> '',
		'count' => 2,
		'class'	=> '',
		'style' => 'style1',
		'pagination' => '',
		'category' => 'themeumall'
		), $atts));

  	global $post;
  	$temp_post = $post;

	$args = array(
				'showposts' => esc_attr($count),
				'paged'=>get_query_var('paged'),
			);

	// Category Add
	if( $category != '' ){
		$args2 = array( 'tax_query' => array(
											array(
												'taxonomy' => 'category',
												'field'    => 'slug',
												'terms'    => $category,
												),
											),
						);
		if( $category != 'themeumall' ){
			$args = array_merge( $args,$args2 );
		}
	}

	$events = get_posts( $args );


	$output  = '<div class="shortcode-latest-blogs '. esc_attr($boxed) . ' ' . esc_attr($class) .'">';
	if ($title) {
		$output .= '<h2 class="heading">' . esc_attr($title) . '</h2>';
	}

	if( $style == 'style1' ){
	
		foreach ($events as $key=>$post) {
			setup_postdata( $post );

			$output .= '<div class="media">';

			if(has_post_thumbnail()) {
				$output .= '<div class="pull-left">';
				$output .= '<a href="'.get_permalink().'">'.get_the_post_thumbnail($post->ID, 'home-thumb', array('class' => 'img-responsive')).'</a>';
				$output .= '<div class="entry-date"><span>' . esc_html( get_the_date('d') ) . '</span>' . esc_html( get_the_date('M') ) . '</div>';
				$output .= '</div>';
			}

			$output .= '<div class="media-body">';
			$output .= '<a href="' . get_permalink() . '"><h3 class="media-heading">' . get_the_title() . '</h3></a>';
			$output .= '<div class="entry-meta">';
			$output .= '<span class="author vcard"><i class="fa fa-user"></i> <a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" rel="author">' . get_the_author() . '</a></span>';
			
			$categories_list = get_the_category_list( __( ', ', 'themeum' ) );
			if ( $categories_list ) {
				$output .= '<span class="entry-category"><i class="fa fa-folder-o"></i>' . $categories_list . '</span>';
			}

			$output .= '</div>';
				$output .= '<div class="entry-content hidden-sm">' . vocal_latest_blogs_word_limit(get_the_content(), $limit) . '</div>';
			$output .= '</div>';

			$output .= '</div>';
			
		}
		
		wp_reset_query();

	}else{


		foreach ($events as $key=>$post) {
			setup_postdata( $post );


			$output .= '<article class="col-md-3 col-sm-6 each-post">';
  				$output .= '<figure>';
  					$output .= get_the_post_thumbnail($post->ID, 'album-thumb', array('class' => 'img-responsive'));
  					$output .= '<figcaption>';
  						$output .= '<div class="content">';
  							$output .= '<div class="date"><p><i class="fa fa-clock-o"></i> '.get_the_date("d M Y").'</p></div>';
  							$output .= '<h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>';
  						$output .= '</div>';
  					$output .= '</figcaption>';
  				$output .= '</figure>';
  			$output .= '</article>';
  		}
  		wp_reset_query();


	}


	if( $pagination == 'yes' ){
		$total_post = wp_count_posts()->publish;
		if( $total_post != 0 ){
			$total_post = $total_post/$count;
		}
		$output .= themeum_pagination_return( $total_post );
	}


	$output .= '</div>';

	return $output;

});


if( !function_exists("themeum_cat_list2") ){
    // List of Group
    function themeum_cat_list2( $category ){
        global $wpdb;
        $sql = "SELECT * FROM `".$wpdb->prefix."term_taxonomy` INNER JOIN `".$wpdb->prefix."terms` ON `".$wpdb->prefix."term_taxonomy`.`term_taxonomy_id`=`".$wpdb->prefix."terms`.`term_id` AND `".$wpdb->prefix."term_taxonomy`.`taxonomy`='".$category."'";
        $results = $wpdb->get_results( $sql );

        $cat_list = array();
        $cat_list['All'] = 'themeumall';  
        if(is_array($results)){
            foreach ($results as $value) {
                $cat_list[$value->name] = $value->slug;
            }
        }
        return $cat_list;
    }
}

//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
vc_map(array(
	"name" => __("Vocal Latest Blog", "themeum"),
	"base" => "vocal_latest_blogs",
	"icon" => "icon-thm-latest-blog",
	"class" => "",
	"description" => __("Latest blog posts", "themeum"),
	"category" => __('Vocal', "themeum"),
	"params" => array(

		array(
	        "type" => "dropdown",
	        "heading" => __("Style:", "themeum-lms"),
	        "param_name" => "style",
	        "value" => array('Select'=>'','Style 1'=>'style1','Style 2'=>'style2'),
	        ),

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Category Filter", 'themeum-core'),
			"param_name" => "category",
			"value" => themeum_cat_list2('category'),
		),

		array(
			"type" => "textfield",
			"heading" => __("Title", "themeum"),
			"param_name" => "title",
			"value" => "",
			"admin_label"=>true,
			),

		array(
			"type" => "textfield",
			"heading" => __("Count", "themeum"),
			"param_name" => "count",
			"value" => "2",
			"description" => "Please enter the maximum number of blog posts you want to display. eg. 2"
			),

		array(
			"type" => "textfield",
			"heading" => __("Word Limit", "themeum"),
			"param_name" => "limit",
			"value" => "30",
			"description" => "Please enter the word limit. eg. 30"
			),

		array(
			"type" => 'checkbox',
			"heading" => __("Boxed layout?", "themeum"),
			"param_name" => "boxed",
			"description" => __("If selected, widget will display inside box.", "themeum"),
			"value" => Array(__("Yes", "themeum") => "box")
			),

		array(
			"type" => 'checkbox',
			"heading" => __("Pagination Enable?", "themeum"),
			"param_name" => "pagination",
			"description" => __("If selected, Pagination will be Enable.", "themeum"),
			"value" => Array(__("Yes", "themeum") => "yes")
			),

		array(
			"type" => "textfield",
			"heading" => __("Extra CSS Class", "themeum"),
			"param_name" => "class",
			"value" => "",
			"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
			),

		)
	));
}

