<?php
/*
* Template Name: Event Grid 2 Template
*/

get_header();
add_filter('parse_query', function(&$q){
    global $themeum_options;
    $q->set( 'posts_per_page', $themeum_options['event-post-per-page'] );

    return $q;
});
?>
<section id="main" class="clearfix">
    <div id="page" class="container event-page">
        <div class="row">
            <div id="content" class="latest-event-content col-md-12 events-grid" role="main">
                <div class="box">
                    <h2 class="heading"><?php echo get_the_title(); ?></h2>
                    <div class="row">
                    <?php
                    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                    $args = array(  
                        'post_type'     => 'event',
                        'paged'         => $paged,
                        'meta_key'      => 'themeum_event_start_datetime',
                        'meta_value'    => date('Y-m-d h:i'),
                        'meta_compare'  => '>',
                        'orderby'       => 'meta_value',
                        'order'         => 'ASC'
                        );
                    $events = new WP_Query( $args );
                    $all_location = array();

                    if ( $events->have_posts() ) {
                        while($events->have_posts()) {
                            $events->the_post();
                            ?>  
                            <div id="post-<?php the_ID(); ?>" <?php post_class(array('col-sm-6')); ?>>
                                <?php 
                                $datetime       = get_post_meta(get_the_ID(),'themeum_event_start_datetime',true);
                                $location       = get_post_meta(get_the_ID(),'themeum_event_location',true);
                                $std_price      = get_post_meta(get_the_ID(),'themeum_event_std_price',true);
                                $btn_ticket     = get_post_meta(get_the_ID(),'themeum_event_btn_ticket',true);
                                $ticket_link    = get_post_meta(get_the_ID(),'themeum_event_ticket_link',true);
                                $all_location[] = array( $post->ID,$location );
                                ?>

                                <div class="media">
                                    
                                    <div class="clearfix">
                                        

                                        <ul class="event-tabs">
                                            <li class="tab-first active"><a href="<?php the_permalink(); ?>"><span class="date"><?php echo date_i18n("M d, Y", strtotime($datetime));?></span></a></li>
                                            <li class="tab-second"><a href="<?php the_permalink(); ?>#event-map-layout"><span><i class="fa fa-map-marker"></i></span></a></li>
                                            <li class="tab-third"><a href="<?php the_permalink(); ?>#pricing-table"><span><i class="fa fa-shopping-cart"></i></span></a></li>
                                        </ul>

                                    </div>
                                    <div class="media-body">
                                        <div class="event-details">
                                            <h3 class="media-heading"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                            <ul class="event-content">
                                                <li><span class="heading-side"><?php echo __('Location: ', 'themeum'); ?></span><span class="info-side"> <?php echo get_post_meta(get_the_ID(),'themeum_event_location', true); ?></span></li>
                                                <li><span class="heading-side"><?php echo __('Date: ', 'themeum'); ?></span><span class="info-side"><?php echo date_i18n(get_option( 'date_format' ), strtotime($datetime)); ?></span></li>
                                                <li><span class="heading-side"><?php echo __('Time: ', 'themeum'); ?></span><span class="info-side"><?php echo date_i18n(get_option( 'time_format' ), strtotime($datetime)); ?></span></li>
                                                <li>
                                                    <span class="heading-side"><?php echo __('Ticket Price: ', 'themeum'); ?></span>
                                                    <span class="info-side">
                                                        <?php if($ticket_link) { ?>
                                                        <a href="<?php echo $ticket_link; ?>">
                                                            <?php } ?>

                                                            <?php echo $std_price; ?>

                                                            <?php if($ticket_link) { ?>
                                                        </a>
                                                        <?php } ?>
                                                    </span>
                                                </li>
                                            </ul>
                                        </div> 
                                    </div>
                                </div>

                            </div><!--/#post--> 
                            <?php 
                        }
                    }
                    ?>
                    </div>
                </div><!--/.box-->
                <?php themeum_pagination($events->max_num_pages); ?>
            </div><!--/#content-->
        </div>
    </div>
</section> 
<?php
get_footer();