<?php  global $themeum_options;?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <header class="entry-header">

        <?php
        if ( is_single() ) {
            the_title( '<h1 class="entry-title">', '</h1>' );
        } else {
            the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
        }
        ?>

        <div class="entry-meta">
            <?php 
            if ( is_sticky() && is_home() && ! is_paged() ) {
                echo '<span class="featured-post"><i class="fa fa-thumb-tack"></i> ' . __( 'Sticky', 'themeum' ) . '</span>';
            }

            ?>
            
            <?php if (isset($themeum_options['blog-category-en']) && $themeum_options['blog-category-en']) { ?>
                <span class="entry-category"><i class="fa fa-folder-o"></i><?php echo the_category(', '); ?></span>
            <?php } ?>

            <?php if (isset($themeum_options['blog-date-en']) && $themeum_options['blog-date-en']) {
                printf( '<span class="entry-date"><i class="fa fa-clock-o"></i> <a href="%1$s" rel="bookmark"><time class="entry-date" datetime="%2$s">%3$s</time></a></span>',
                    esc_url( get_permalink() ),
                    esc_attr( get_the_date( 'c' ) ),
                    esc_html( get_the_date() )
                    );
                }
            ?>           

            <?php if (isset($themeum_options['blog-author-en']) && $themeum_options['blog-author-en']) {
                printf( '<span class="author vcard"><i class="fa fa-user"></i> <a class="url fn n" href="%1$s" rel="author">%2$s</a></span>',
                    esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                    get_the_author()
                    );
                }
            ?>                

            <?php if (isset($themeum_options['blog-comment-en']) && $themeum_options['blog-comment-en']) { ?>
                <?php if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) { ?>
                <span class="comments-link"><i class="fa fa-comment-o"></i> <?php comments_popup_link( __( '0 Comment', 'themeum' ), __( '1 Comment', 'themeum' ), __( '% Comments', 'themeum' ) ); ?></span>
                <?php } ?>
            <?php } ?>

            <?php if (isset($themeum_options['blog-edit-en']) && $themeum_options['blog-edit-en']) { ?>
                <?php edit_post_link( __( 'Edit', 'themeum' ), '<span class="edit-link"><i class="fa fa-edit"></i>', '</span>' ); ?>
            <?php } ?>
        </div>
    </header> <!--/.entry-header -->

    <div class="entry-content">
        <?php

            if( rwmb_meta( 'themeum_audio_source' ) === '1' ) {

                if( rwmb_meta( 'themeum_audio_code' ) ) echo '<div class="entry-content-audio">' . rwmb_meta( 'themeum_audio_code' ) . '</div>';

            } else {

                if ( rwmb_meta( 'themeum_audio_link' ) ) echo '<div class="entry-content-audio">' . do_shortcode( '[audio ' . themeum_get_ext(rwmb_meta( 'themeum_audio_link' )) . '="' . rwmb_meta( 'themeum_audio_link' ) . '"][/audio]' ) . '</div>';                    
            }

            if (is_single()) {
                the_content();
            }else{
                the_excerpt();
            }
        ?>
    </div> <!--/.entry-content -->

    <?php if (isset($themeum_options['blog-tag-en']) && $themeum_options['blog-tag-en']) { ?>
        <?php if( is_single() ) the_tags( '<footer class="entry-meta"><span class="tag-links">', '', '</span></footer>' ); ?>
    <?php } ?>

</article> <!--/#post -->