<?php
get_header();
global $woocommerce;
global $themeum_options;
?>

<section id="main" class="clearfix">
    <div id="page" class="container album-page">
    	<?php while(have_posts()) { the_post(); ?>
        <div id="content" class="album-content box" role="main">
            <div class="album-content-inner">

                <article id="post-<?php the_ID(); ?>" <?php post_class(array('album-details')); ?>>

                    <?php 
                    $artist_name 		= get_post_meta(get_the_ID(),'themeum_artist_name',true);
                    $genre_name 		= get_post_meta(get_the_ID(),'themeum_genre_name',true);
                    $production_name 	= get_post_meta(get_the_ID(),'themeum_production_name',true);
                    $date 				= get_post_meta(get_the_ID(),'themeum_date',true);
                    $album_purchase_url = get_post_meta(get_the_ID(),'themeum_album_purchase_url',true);
                    $themeum_purchase_tag = get_post_meta(get_the_ID(),'themeum_purchase_tag',true);
                    $album_price        = get_post_meta(get_the_ID(),'themeum_album_price',true);
                    $wc_item_id 		= get_post_meta(get_the_ID(),'themeum_wc_item_id',true);
                    ?>

                    <div class="album-details row clearfix">

                        <div class="col-md-6">
                            <?php if ( has_post_thumbnail() ) { ?>
                            <?php the_post_thumbnail('full', array('class' => 'img-responsive img-album')); ?>
                            <?php } //.entry-thumbnail ?>
                        </div>

                        <div class="col-md-6">        
                            <div class="album-info">
                                <h2 class="heading"><?php echo the_title();?></h2>
                                <ul class="album-info-list">
                                    <li><?php _e( 'Artist: ', 'themeum' ); echo $artist_name;?></li>
                                    <li><?php _e( 'Release Date: ', 'themeum' ); echo $date;?></li>
                                    <li><?php _e( 'Genre: ', 'themeum' ); echo $genre_name;?></li>
                                    <li><?php _e( 'Produced By: ', 'themeum' ); echo $production_name;?></li>
                                    <?php if( $album_price ) { ?>
                                    <li>
                                        <?php _e( 'Price: ', 'themeum' ); echo $album_price; ?>
                                    </li>
                                    <?php } ?>
                                </ul>

                                <?php the_content();?>
                                <?php if ($themeum_options['album-social-en']) { ?>
                                <div class="vocal-share">
                                    <?php get_template_part( 'lib/social-buttons' ); ?>
                                </div>
                                <?php } ?>
                            </div>

                            <!--Audio Player-->
                            <?php
                            if(rwmb_meta('themeum_album_audio_source')=='soundcloud') {

                                echo '<a href="' . rwmb_meta('themeum_album_soundcloud_url') . '" class="sc-player"></a>';

                            } else {

                                $audios = rwmb_meta('themeum_album_mp3', array('type'=>'file_advanced'));
                                if (count($audios)) {
                                    $ids = array();
                                    foreach ($audios as $audio) {
                                        $ids[] = $audio['ID'];
                                    }
                                    $ids = implode(',', $ids);
                                    echo do_shortcode( '[playlist ids="' . $ids . '"]' );
                                }

                            }
                            ?>
                            <!--/Audio Player-->

                            <!--Purchase Button-->
                            <?php
                            if($woocommerce) {

                                if($wc_item_id) {
                                    $posts = get_posts(array('post_type' => 'product', 'name' => $wc_item_id));
                                    $wc_item_id = $posts[0]->ID;
                                    ?>
                                    <p></p>
                                    <a class="btn btn-lg btn-block btn-primary" href="<?php echo get_permalink( $wc_item_id ); ?>"><i class="fa fa-shopping-cart"></i> <?php echo $themeum_purchase_tag; ?></a>
                                    <?php
                                } else {
                                    if($album_purchase_url) { ?>
                                    <p></p>
                                    <a class="btn btn-lg btn-block btn-primary" href="<?php echo $album_purchase_url; ?>"><i class="fa fa-shopping-cart"></i> <?php echo $themeum_purchase_tag; ?></a>
                                    <?php }
                                }

                            } else {
                                if($album_purchase_url) { ?>
                                <p></p>
                                <a class="btn btn-lg btn-block btn-primary" href="<?php echo $album_purchase_url; ?>"><i class="fa fa-shopping-cart"></i> <?php echo $themeum_purchase_tag; ?></a>
                                <?php }
                            }
                            
                            ?>

                        </div>
                    </div>  
                </article>
            </div>
        </div> <!--/#content-->

        <?php
        $terms = get_the_terms( $post->ID, 'post_tag' );

        if ( $terms && ! is_wp_error( $terms ) && !$themeum_options['disable-related-album'] ) {
        ?>
        <div class="related-albumbs box">
            <h2 class="heading">Related Albums</h2>
            <div class="row">

                <?php

                    $term_name = array();

                    foreach ( $terms as $term ) {
                        $term_name[] = $term->slug;
                    }

                    $args = array(
                        'post_type' => 'album',
                        'post__not_in' => array($post->ID),
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'post_tag',
                                'field' => 'slug',
                                'terms' => $term_name
                                )
                            ),
                        'posts_per_page'   => 4
                        );


                    $related_album = get_posts($args);
                    foreach ( $related_album as $post ) {  setup_postdata($post); ?>
                    <?php
                    $artist_name 		= rwmb_meta('themeum_artist_name');
                    $genre_name 		= rwmb_meta('themeum_genre_name');
                    $production_name 	= rwmb_meta('themeum_production_name');
                    $date 				= rwmb_meta('themeum_date');
                    $album_price 		= rwmb_meta('themeum_album_price');
                    ?>

                    <div class="col-xs-6 col-md-3">
                        <div class="album overlay-outer">
                            <?php if ( has_post_thumbnail() ) { ?>
                            <?php the_post_thumbnail('album-thumb', array('class' => 'img-responsive')); ?>
                            <?php } //.entry-thumbnail ?>
                            <div class="album-info overlay-info">
                                <div>
                                    <h3><?php the_title();?></h3>
                                    <?php echo $artist_name;?>
                                </div>
                            </div>
                            <div class="overlay">
                                <div class="overley-content album-info">
                                    <h3><a href="<?php echo get_permalink($id);?>"><?php the_title();?></a></h3>
                                    <ul>
                                        <li><?php _e( 'Artist: ', 'themeum' ); echo $artist_name;?></li>
                                        <li><?php _e( 'Release Date: ', 'themeum' ); echo $date;?></li>
                                        <li><?php _e( 'Genre: ', 'themeum' ); echo $genre_name;?></li>
                                        <li><?php _e( 'Produced By: ', 'themeum' ); echo $production_name;?></li>
                                        <?php if( $album_price ) { ?>
                                        <li><?php _e( 'Price: ', 'themeum' ); echo $album_price; ?></li>
                                        <?php } ?>    
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php } wp_reset_postdata(); ?>
                </div>
            </div>
            <?php } ?>
            <?php }  wp_reset_query(); ?>
        </div>
    </section>
    <?php
    get_footer();