<?php
/**
 * Display Single Event 
 *
 * @author 		Themeum
 * @category 	Template
 * @package 	Vocal
 *-------------------------------------------------------------*/

if ( ! defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly

get_header();
?>
<section id="main" class="clearfix">
    <div id="page" class="container event-page">
        <div class="row">
            <div id="content" class="latest-event-content col-md-8 events" role="main">
                <div class="box">
                    <?php global $wp_query; ?>
                    <h2 class="heading"><?php echo $wp_query->queried_object->name; ?></h2>
                    <?php
                    $args = array( 'meta_key' => 'themeum_event_start_datetime',
                        'meta_value' => date('Y-m-d h:i'),
                        'meta_compare' => '>',
                        'orderby' => 'meta_value',
                        'order' => 'ASC'
                        );

                    global $wp_query;
                    $newargs = array_merge( $wp_query->query_vars, $args);

                    query_posts($newargs);

                    $all_location = array();

                    if ( have_posts() ) {
                        while(have_posts()) { the_post();
                            ?>  
                            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                <?php 
                                $datetime       = get_post_meta(get_the_ID(),'themeum_event_start_datetime', true);
                                $location       = get_post_meta(get_the_ID(),'themeum_event_location',true);
                                $std_price      = get_post_meta(get_the_ID(),'themeum_event_std_price',true);
                                $btn_ticket     = get_post_meta(get_the_ID(),'themeum_event_btn_ticket',true);
                                $ticket_link    = get_post_meta(get_the_ID(),'themeum_event_ticket_link',true);
                                $all_location[] = array( $post->ID,$location );
                                ?>

                                <div class="media">
                                    <?php if ( has_post_thumbnail() && ! post_password_required() ) { ?>
                                    <div class="pull-left">
                                        <?php the_post_thumbnail('event-thumb', array('class' => 'img-responsive')); ?>

                                        <ul class="event-tabs">
                                            <li class="tab-first active"><a href="<?php the_permalink(); ?>"><span class="date"><?php echo date_i18n("M", strtotime($datetime));?><span><?php echo date_i18n("d", strtotime($datetime));?></span></span></a></li>
                                            <li class="tab-second"><a href="<?php the_permalink(); ?>#event-map-layout"><span><i class="fa fa-map-marker"></i></span></a></li>
                                            <li class="tab-third"><a href="<?php the_permalink(); ?>#pricing-table"><span><i class="fa fa-shopping-cart"></i></span></a></li>
                                        </ul>

                                    </div>
                                    <?php } ?>
                                    <div class="media-body">
                                        <div class="event-details">
                                            <h3 class="media-heading"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                            <ul class="event-content">
                                                <li><span class="heading-side"><?php echo __('Location: ', 'themeum'); ?></span><span class="info-side"><?php echo get_post_meta(get_the_ID(),'themeum_event_location', true); ?></span></li>
                                                <li><span class="heading-side"><?php echo __('Date: ', 'themeum'); ?></span><span class="info-side"><?php echo date_i18n(get_option( 'date_format' ), strtotime($datetime)); ?></span></li>
                                                <li><span class="heading-side"><?php echo __('Time: ', 'themeum'); ?></span><span class="info-side"><?php echo date_i18n(get_option( 'time_format' ), strtotime($datetime)); ?></span></li>
                                                <li>
                                                    <span class="heading-side"><?php echo __('Ticket Price: ', 'themeum'); ?></span>
                                                    <span class="info-side">
                                                        <?php if($ticket_link) { ?>
                                                        <a href="<?php echo $ticket_link; ?>">
                                                            <?php } ?>

                                                            <?php echo $std_price; ?>

                                                            <?php if($ticket_link) { ?>
                                                        </a>
                                                        <?php } ?>
                                                    </span>
                                                </li>
                                            </ul>
                                        </div> 
                                    </div>
                                </div>

                            </div><!--/#post--> 
                            <?php 
                        }
                    }
                    ?>
                </div><!--/.box-->
                <?php themeum_pagination(); ?>
            </div><!--/#content-->

            <div id="sidebar" class="col-md-4" role="complementary">
                <div class="sidebar-inner">
                    <aside class="event-widget-area">
                        <?php dynamic_sidebar('event');?>
                    </aside>
                </div>
            </div><!--/#sidebar-->
        </div>
    </div>
</section> 
<?php
get_footer();